--Look for potential risk for SQL Injection

CREATE TABLE #InjectionRisk
	( DBName VARCHAR(200)
	, SPName VARCHAR(200)
	, text   VARCHAR(MAX))
EXECUTE master.sys.sp_MSforeachdb 'USE [?];
			INSERT #injectionrisk 
				SELECT   DB_NAME()
						,OBJECT_NAME(id)
						, text
				FROM SYSCOMMENTS 
				WHERE ([text] LIKE ''%exec%'' OR text LIKE ''%execute%'') 
					AND OBJECTPROPERTY(id, ''IsProcedure'') = 1  
						AND OBJECT_NAME(id) NOT LIKE ''sp_%'''

SELECT * FROM #InjectionRisk 
WHERE dbname NOT IN ('master', 'msdb','model', 'tempdb')

DROP TABLE #InjectionRisk